/* TableStyleMedium14.java

	Purpose:
		
	Description:
		
	History:
		Mar 30, 2015 5:17:51 PM, Created by henrichen

	Copyright (C) 2015 Potix Corporation. All Rights Reserved.
*/

package org.zkoss.zssex.model.sys;

import org.zkoss.zss.model.SBorder.BorderType;
import org.zkoss.zss.model.SFill.FillPattern;
import org.zkoss.zss.model.STableStyleElem;
import org.zkoss.zss.model.SFont.Underline;
import org.zkoss.zss.model.impl.BorderImpl;
import org.zkoss.zss.model.impl.BorderLineImpl;
import org.zkoss.zss.model.impl.ExtraFillImpl;
import org.zkoss.zss.model.impl.FontImpl;
import org.zkoss.zss.model.impl.TableStyleElemImpl;
import org.zkoss.zss.model.impl.TableStyleImpl;

/**
 * Builtin TableStyleMediumn14
 * 
 * @author henri
 * @since 3.8.0
 */
public class TableStyleMedium14 extends TableStyleImpl {
	private TableStyleMedium14() {
		super(
				"TableStyleMedium14",//name,
				M14_Whole_Table, 	//wholeTable,
				M14_Col_Stripe1, 	//colStripe1,
				1, 					//colStripe1Size,
				null, 				//colStripe2,
				1, 					//colStripe2Size,
				M14_Row_Stripe1, 	//rowStripe1,
				1, 					//rowStripe1Size,
				null,				//rowStripe2,
				1, 					//rowStripe2Size,
				M14_Last_Col, 	//lastCol,
				M14_First_Col,	//firstCol,
				M14_Header_Row,	//headerRow,
				M14_Total_Row,	//totalRow,
				null,	//firstHeaderCell,
				null,	//lastHeaderCell,
				null,	//firstTotalCell,
				null	//lastTotalCell
			);
	}
	
	private static final STableStyleElem M14_Col_Stripe1 = 
			new TableStyleElemImpl(
				null,	//font
				new ExtraFillImpl(FillPattern.SOLID, "FCD5B4", "FCD5B4"), 	//fill
				null	//border
			);

	private static final STableStyleElem M14_Row_Stripe1 =
			M14_Col_Stripe1;
	private static final STableStyleElem M14_Last_Col =
			new TableStyleElemImpl(
				new FontImpl("FFFFFF", true /*bold*/, false /*fontItalic*/, 
					false /*fontStrikeout*/, Underline.NONE), 			//font
				new ExtraFillImpl(FillPattern.SOLID, "F79646", "F79646"),	//fill
				null //border
			);
	private static final STableStyleElem M14_First_Col =
			M14_Last_Col;
	private static final BorderLineImpl M14_Outline_Border =
			new BorderLineImpl(BorderType.THICK, "FFFFFF");
	private static final BorderLineImpl M14_Inside_Border =
			new BorderLineImpl(BorderType.THIN, "FFFFFF");
	private static final STableStyleElem M14_Total_Row =
			new TableStyleElemImpl(
					new FontImpl("FFFFFF", true /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					new ExtraFillImpl(FillPattern.SOLID, "F79646", "F79646"),//fill
					new BorderImpl(
							null, //left 
							M14_Outline_Border, //top 
							null, //right
							null, //bottom
							null, //diagonal
							null, //vertical
							null  //horizontal
					)
			);
	private static final STableStyleElem M14_Header_Row =
			new TableStyleElemImpl(
					new FontImpl("FFFFFF", true /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					new ExtraFillImpl(FillPattern.SOLID, "F79646", "F79646"),//fill
					new BorderImpl(
							null, //left 
							null, //top
							null, //right
							M14_Outline_Border, //bottom 
							null, //diagonal
							null, //vertical
							null  //horizontal
					)
			);
	private static final STableStyleElem M14_Whole_Table = 
			new TableStyleElemImpl(
					new FontImpl("000000", false /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					new ExtraFillImpl(FillPattern.SOLID, "FDE9D9", "FDE9D9"),//fill
					new BorderImpl(
							null, //left 
							null, //top 
							null, //right
							null, //bottom
							null, //diagonal
							M14_Inside_Border,	//vertical
							M14_Inside_Border 	//horizontal
					)
			);

	public static final TableStyleMedium14 instance = new TableStyleMedium14();
}
